libzypp 17.37.10

transform.h File Reference
`#include <zypp-core/zyppng/meta/TypeTraits>`
`#include <zypp-core/zyppng/meta/Functional>`
`#include <zypp-core/zyppng/pipelines/AsyncResult>`
`#include <zypp-core/zyppng/pipelines/wait.h>`
`#include <algorithm>`

Go to the source code of this file.

## Classes
struct | zyppng::detail::transform_helper< Transformation >

## Namespaces
namespace | zyppng
namespace | zyppng::detail
namespace | zyppng::operators

## Functions
template<template< class, class... > class Container, typename Msg, typename Transformation, typename Ret = std::result_of_t<Transformation(Msg)>, typename ... CArgs>
Container< Ret > | zyppng::transform (Container< Msg, CArgs... > &&val, Transformation &&transformation)
template<template< class, class... > class Container, typename Msg, typename Transformation, typename Ret = std::result_of_t<Transformation(Msg)>, typename ... CArgs>
Container< Ret > | zyppng::transform (const Container< Msg, CArgs... > &val, Transformation &&transformation)
template<typename Transformation>
auto | zyppng::operators::transform (Transformation &&transformation)